package com.waytous.anticollision.ui.home

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.hoho.android.usbserial.util.SerialInputOutputManager
import java.lang.Exception

class HomeViewModel : ViewModel(), SerialInputOutputManager.Listener{

    private val _text = MutableLiveData<String>().apply {
        value = "This is home Fragment"
    }
    val text: LiveData<String> = _text


    override fun onNewData(data: ByteArray?) {

    }

    override fun onRunError(e: Exception?) {

    }
}